%define name ppptray
%define version 0.2.1
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tray icon interface to pon/poff commands
Source0: 	%{name}_%{version}.orig.tar.xz
Source1:        ppptray.desktop
Source2:        ppptray.xpm
License:	GPLv3
Group:		Monitoring
URL:		http://ubuntuforums.org/showpost.php?p=3251952&postcount=1
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-root
BuildRequires:	python-devel
Requires: ppp  
Requires: pygtk2.0
Requires: python >= 2.6.6


%description
PPP Tray Icon is a tray icon interface to pon/poff commands. It monitors
the presence of the /var/run/ppp*.pid file to check for existing ppp connections.

%prep
%setup -q -n %{name}-%{version}

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
mkdir -p  $RPM_BUILD_ROOT/%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/applications/
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_datadir}/pixmaps/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{_bindir}/*
%{_libdir}/python2.6/site-packages/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.2.1-3pclos2010
- new python 2.6.6

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 0.2.1-2pclos2009
- fix synaptic group
- rebuild against updated python

* Mon Jul 28 2008 Slick50 <slick50@linuxgator.org> 0.2.1-1pclos2007
- Import to PCLinuxOS
